<template>
    <div class="img">
        <v-row>
            <template v-for="(image, imgIdx) in imageLayout" :key="imgIdx">
                <v-col :cols="image.cols">
                    <v-img :src="`https://picsum.photos/500/300?image=${image.cols * 19}`" cover height="100%"></v-img>
                </v-col>

                <v-col v-if="image.children" cols="6" class="d-flex flex-column">
                    <v-row>
                        <v-col v-for="(children, childIdx) in image.children" :key="childIdx" :cols="children.cols">
                            <v-img :src="`https://picsum.photos/500/300?image=${children.cols + childIdx}`" cover
                                height="100%"></v-img>
                        </v-col>
                    </v-row>
                </v-col>
            </template>
        </v-row>
    </div>
    <div class="grid-container">
        <v-parallax
            src="https://www.pprp.or.th/wp-content/uploads/2021/11/%E0%B8%9E%E0%B8%9B%E0%B8%8A%E0%B8%A3-1-819x465-1-819x465-1-819x465.jpg" style="opacity: 80%;">
            <div class="d-flex flex-column fill-height justify-center align-center text-white">
                <h1 class="text-h4 font-weight-thin mb-4">
                    นโยบาย
                </h1>
                <h4 class="subheading">
                    พลังประชารัฐ
                </h4>
            </div>
        </v-parallax>
    </div>
</template>
<script>
export default {
    data: () => ({
        imageLayout: [
            { cols: 4 },
            {
                cols: 8,
                children: [{ cols: 12 }, { cols: 12 }],
            },
            { cols: 6 },
        ],
    }),
}

</script>

<style scoped>
h1,
h4 {
    color: #fff;
    text-shadow: 2px 2px #000;
}

.grid-container {
    display: grid;
    grid-column-gap: 0.5rem;
    grid-row-gap: 0.5;
}

@media (min-width: 659px) {
    .grid-container {
        grid-template-columns: repeat(1, 1fr);
    }
}

@media (min-width: 1902px) {
    .grid-container {
        grid-template-columns: repeat(3, 1fr);
    }
}

.img {
    padding: 10px 300px;
    width: 100%;
}

.con {
    width: 100%;
    height: 150px;
    background-color: rgb(0, 0, 169);
    margin-top: 2rem;
    color: white;
    padding: 50px;
}</style>